%define	module	IO-Stty
%define	name	perl-%{module}
%define	module	IO-Stty
%define	version	02
%define	release	6mdk

Summary:	IO-Stty perl module
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License: 	GPL
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/IO/%{module}-.%{version}.tar.bz2
Url:		http://www.cpan.org
Buildrequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Patch0:		%{name}-paths.patch.bz2
Requires: 	perl 
Buildarch:	noarch

%description
IO-Stty is a module for setting terminal parameters.

%prep
%setup -q -n %{module}-.%{version}

%patch -p1

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README stty.txt
%{perl_vendorlib}/IO/*


%changelog
* Sun Aug 17 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 02-6mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 02-5mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 02-4mdk
- buildrequires

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 02-3mdk
- rebuild

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 02-2mdk
- rebuild with new perl

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 02-1mdk
- added by Max Heijndijk <cchq@wanadoo.nl> :
	- Initial wrap
